
.track-content{
    position: absolute;
    display: flex;
    gap: 10px;
    width: 100%;
    padding: 10px;
    overflow: hidden;
    z-index: -0;

    img{
        width: 70px;
        height: 70px;
    }
}

.rhap_volume-container{
    position: absolute;
    right: 10px;
    width: 150px;
    transform: translateY(-50%);
    top: 50%;
}


.rhap_controls-section{
    justify-content: center;
    gap: 20px;
}

.rhap_main-controls{
    margin-left: 50px;
}

.rhap_additional-controls{
    position: absolute;
    right: 180px;
    top: 50%;
    transform: translateY(-40%);
}

.lyric{
    font-size: 20px;
}


.rhap_button-clear{
    color: #fff;
}

.rhap_progress-indicator{
    background-color: #fff
}


.rhap_progress-bar-show-download{
    background-color: #fff ;
}

.rhap_volume-indicator{
    background-color: #fff ;
}

.rhap_time{
    color: #fff;
}



.rhap_container.rhap_loop--off.rhap_play-status--paused,
.rhap_container.rhap_loop--off.rhap_play-status--playing{
    z-index: 1;
}


.track-name {

    &:hover{
        color: #c273ed !important;
    }
}


@media (max-width: 873px) {
    .rhap_volume-bar-area{
        position: absolute;
        left: 20%;
        transform: translate(-50%, -110%);
        background-color: #716f6f;
        padding: 10px 10px;
        border-radius: 20px;
        width: 120px;
       display: none;
    }

    .rhap_volume-container{
        width: 70px;
    }

    .rhap_additional-controls{
        right: 100px;
    }

    .track-title{
        overflow: hidden;
    }
    
    .track-name {
        display: inline-block;
        position: relative;
        animation: scrollText 10s  linear infinite;
    }


    .rhap_volume-container:hover .rhap_volume-bar-area {
        display: flex;
    }


  @keyframes scrollText {
    0% {
      transform: translateX(0%);
    }

    30% {
      transform: translateX(0%);
      }

    100% {
      transform: translateX(-100%);
    }
  }


}